#! /bin/sh

DB=testpilot

echo 'Loading DB...'

# Load the main activity table
./load_activity.py

# Load derived forms
./load_total_activity.py -c
./load_total_activity.py -r 'a = 0' -t '0'
./load_total_activity.py -r 'a = 1' -t '1'
./load_total_activity.py -r 'a = 2' -t '2'
./load_total_activity.py -r 'a = 3' -t '3'
./load_total_activity.py -r 'a = 4' -t '4'
./load_total_activity.py -r 'a = 5' -t '5'

echo 'Creating data files...'
psql -c "\copy (select extract(epoch from t) as t, num from total_activity where tag is null order by t) to 'activity_all.data' with csv header" $DB
psql -c "\copy (select extract(epoch from t) as t, num, tag from total_activity where tag is not null order by tag, t) to 'activity_tag.data' with csv header" $DB

psql -c "\copy (select extract(epoch from t) as t, num from total_activity_we where tag is null order by t) to 'activity_all.we.data' with csv header" $DB
psql -c "\copy (select extract(epoch from t) as t, num, tag from total_activity_we where tag is not null order by tag, t) to 'activity_tag.we.data' with csv header" $DB

psql -c "\copy (select extract(epoch from t) as t, num from total_activity_wd where tag is null order by t) to 'activity_all.wd.data' with csv header" $DB
psql -c "\copy (select extract(epoch from t) as t, num, tag from total_activity_wd where tag is not null order by tag, t) to 'activity_tag.wd.data' with csv header" $DB

psql -c "\copy (select extract(epoch from t.total/d.numdays) as t, s.a from (select uid, sum(t1-t0) as total from activity group by uid) as t, usr_act_days as d, survey as s where t.uid = d.uid and t.uid = s.uid and s.q = 7) to 'activity_survey.data' with csv header" $DB
