#! /bin/sh

DB=testpilot

echo '(Re)creating schema ...'
psql -f dropschema.sql $DB
psql -f createschema.sql $DB

echo 'Importing data ...'
psql -c "\copy evcode from 'codes.csv' with csv header" $DB
psql -c "\copy usr from 'users-clean.csv' with csv header" $DB
psql -c "\copy ev (uid, eid, data1, data2, data3, ts) from 'events-clean.csv' with csv header" $DB
psql -c "\copy survey (uid, q, a) from 'survey-clean.csv' with csv" $DB

echo 'Patching data...'
psql -c "update ev set data1 = null where data1 = '';" $DB
psql -c "update ev set data2 = null where data2 = '';" $DB
psql -c "update ev set data3 = null where data3 = '';" $DB

echo 'Creating indexes...'
psql -c "create index ev_id on ev (id);" $DB
psql -c "create index ev_uid on ev (uid);" $DB
psql -c "create index ev_eid on ev (eid);" $DB
psql -c "create index survey_uid on survey (uid);" $DB

echo 'Loading DB with derived data...'
./activity.sh
